summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfukachan <fukachan>2002-06-27 10:38:21 +0000
committerfukachan <fukachan>2002-06-27 10:38:21 +0000
commit152d5df95c580ecb07b15280bd405bd194d9ac72 (patch)
tree1d80c4950316d0a2714d476abc4c1e150b2a896b
parentf3848842575cf398268bbcc968fb02be1aa93690 (diff)
downloadfml8-152d5df95c580ecb07b15280bd405bd194d9ac72.tar.gz
fml8-152d5df95c580ecb07b15280bd405bd194d9ac72.tar.bz2
fml8-152d5df95c580ecb07b15280bd405bd194d9ac72.zip
loader $domain form
-rwxr-xr-xregress/simulation/emul_post.sh.new40
1 files changed, 40 insertions, 0 deletions
diff --git a/regress/simulation/emul_post.sh.new b/regress/simulation/emul_post.sh.new
new file mode 100755
index 00000000..16956193
--- /dev/null
+++ b/regress/simulation/emul_post.sh.new
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# $FML: emul_post.sh,v 1.2 2001/11/27 08:41:14 fukachan Exp $
+#
+
+DO () {
+ (
+ pwd=`pwd`
+ cd ../.. || exit 1
+ pwd
+
+ test -f $msg || return;
+
+ maincf=/tmp/main.cf.$$
+ trap "rm -f $maincf" 0 1 3 15
+ sed -e "s@\$pwd@$PWD@g" regress/simulation/main.cf > $maincf
+
+ regress/message/scramble.pl $msg |\
+ ${PERL:-perl} -w fml/libexec/loader -c $maincf \
+ elena@home.fml.org
+ echo "-- exit code: $?"
+ )
+}
+
+if [ "X$*" != X ];then
+ list=$*
+else
+ pwd=`pwd`
+ list=$pwd/../testmails/text=plain
+fi
+
+(cd ../../fml/etc/;sh .gen.sh)
+
+for msg in $list
+do
+ DO $msg
+done
+
+exit 0
+